using System.Collections.Generic;
using BloodPressureChart.Model;
using System;

namespace BloodPressureChart
{
    public class MyViewModel
    {
        private List<UserDataPoint> _data;
        DateTime baseDate = DateTime.Today;
        Random r = new Random();

        public List<UserDataPoint> Data
        {
            get
            {
                return this._data;
            }
            set
            {
                this._data = value;
            }
        }

        public MyViewModel()
        {
            this.Data = new List<UserDataPoint>();
            for (int i = -10; i < 0; i++)
            {
                Data.Add(new UserDataPoint(r.Next(90,120), r.Next(60,80), baseDate.AddDays(i)));
            }
        }
    }
}
